AgentService (The Data Transfer Agent Library 1.3.0-SNAPSHOT API)
Date: 2013-05-17

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.datatransfer.agent.library.proxies
Interface AgentService

All Known Implementing Classes:
  AgentLibrary

    public interface AgentService

Author:
  Andrea Manzi(CERN)

Method Summary
`void` | `cancelTransfer(String transferId, boolean forceCancel)`
`ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome>` | `copyLocalFiles(ArrayList<File> inputFiles, String destinationFolder, boolean overwrite, boolean unzip)`
`
`<T extends org.gcube.datatransfer.common.outcome.TransferOutcome> ArrayList<T>`
` | `getTransferOutcomes(String transferId, Class<T> outcomeType)` /**
`String` | `monitorTransfer(String transferId)`
`org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage` | `monitorTransferWithProgress(String transferId)`
`String` | `startTransfer(ArrayList<URI> inputURIs, ArrayList<URI> outputURIs, org.gcube.datatransfer.common.options.TransferOptions options)`
`String` | `startTransfer(ArrayList<URI> inputURIs, String outputFolder, org.gcube.datatransfer.common.options.TransferOptions options)`
`String` | `startTransfer(DataSource source, DataStorage storage, org.gcube.datatransfer.common.options.TransferOptions options)`
`ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome>` | `startTransferSync(ArrayList<URI> inputURIs, String outputFolder, org.gcube.datatransfer.common.options.TransferOptions options)`
`ArrayList<org.gcube.datatransfer.common.outcome.TreeTransferOutcome>` | `startTransferSync(org.gcube.data.trees.patterns.Pattern patternInput, String inputSourceID, String outputStorageId)`

Method Detail

### startTransfer

    String startTransfer(DataSource source,
                         DataStorage storage,
                         org.gcube.datatransfer.common.options.TransferOptions options)
                         throws ConfigurationException,
                                TransferException

  Parameters:
    `source` -
    `storage` -
    `options` -
  Returns:
  Throws:
    `ConfigurationException`
    `TransferException`

### startTransferSync

    ArrayList<org.gcube.datatransfer.common.outcome.TreeTransferOutcome> startTransferSync(org.gcube.data.trees.patterns.Pattern patternInput,
                                                                                           String inputSourceID,
                                                                                           String outputStorageId)

  Parameters:
    `patternInput` -
    `inputSourceID` -
    `outputStorageId` -
  Returns:
    ArrayList
  Throws:
    `TransferException`

### startTransfer

    String startTransfer(ArrayList<URI> inputURIs,
                         String outputFolder,
                         org.gcube.datatransfer.common.options.TransferOptions options)
                         throws ConfigurationException,
                                TransferException

  Parameters:
    `inputURIs` -
    `outputFolder` -
    `options` -
  Returns:
  Throws:
    `ConfigurationException`
    `TransferException`

### startTransfer

    String startTransfer(ArrayList<URI> inputURIs,
                         ArrayList<URI> outputURIs,
                         org.gcube.datatransfer.common.options.TransferOptions options)
                         throws ConfigurationException,
                                TransferException

  Parameters:
    `inputURIs` -
    `outputURIs` -
    `options` -
  Returns:
  Throws:
    `ConfigurationException`
    `TransferException`

### cancelTransfer

    void cancelTransfer(String transferId,
                        boolean forceCancel)
                        throws CancelTransferException

  Parameters:
    `transferId` -
    `forceCancel` -
  Throws:
    `CancelTransferException`

### monitorTransfer

    String monitorTransfer(String transferId)
                           throws MonitorTransferException

  Parameters:
    `transferId` -
  Returns:
  Throws:
    `MonitorTransferException`

### monitorTransferWithProgress

    org.gcube.datatransfer.common.agent.Types.MonitorTransferReportMessage monitorTransferWithProgress(String transferId)
                                                                                                       throws MonitorTransferException

  Parameters:
    `transferId` -
  Returns:
  Throws:
    `MonitorTransferException`

### getTransferOutcomes

    <T extends org.gcube.datatransfer.common.outcome.TransferOutcome> ArrayList<T> getTransferOutcomes(String transferId,
                                                                                                       Class<T> outcomeType)
                                                                                                   throws GetTransferOutcomesException

  /**

  Parameters:
    `transferId` -
    `outcomeType` -
  Returns:
  Throws:
    `GetTransferOutcomesException`

### startTransferSync

    ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> startTransferSync(ArrayList<URI> inputURIs,
                                                                                           String outputFolder,
                                                                                           org.gcube.datatransfer.common.options.TransferOptions options)
                                                                                           throws TransferException,
                                                                                                  ConfigurationException

  Parameters:
    `inputURLs` -
    `outputFolder` -
    `type` -
    `overwrite` -
    `storageManagerDetails` -
  Returns:
  Throws:
    `TransferException`
    `ConfigurationException`

### copyLocalFiles

    ArrayList<org.gcube.datatransfer.common.outcome.FileTransferOutcome> copyLocalFiles(ArrayList<File> inputFiles,
                                                                                        String destinationFolder,
                                                                                        boolean overwrite,
                                                                                        boolean unzip)
                                                                                        throws TransferException

  Parameters:
    `inputFiles` -
    `destinationFolder` -
    `overwrite` -
    `unzip` -
  Returns:
  Throws:
    `TransferException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.